org.klomp.snark

## Class ConnectionAcceptor

- java.lang.Object
- - org.klomp.snark.ConnectionAcceptor

- All Implemented Interfaces:
    Runnable

      public class ConnectionAcceptor
      extends Object
      implements Runnable

  Accepts connections on a TCP port and routes them to sub-acceptors.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionAcceptor(I2PSnarkUtil util)`
    `ConnectionAcceptor(I2PSnarkUtil util, I2PServerSocket serverSocket, PeerAcceptor peeracceptor)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPort()`
    `void` | `halt()`
    `void` | `restart()`
    `void` | `run()`
    `void` | `startAccepting(PeerCoordinatorSet set, I2PServerSocket socket)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionAcceptor

          public ConnectionAcceptor(I2PSnarkUtil util)

    - #### ConnectionAcceptor

          public ConnectionAcceptor(I2PSnarkUtil util,
                            I2PServerSocket serverSocket,
                            PeerAcceptor peeracceptor)

  - ### Method Detail

    - #### startAccepting

          public void startAccepting(PeerCoordinatorSet set,
                            I2PServerSocket socket)

    - #### halt

          public void halt()

    - #### restart

          public void restart()

    - #### getPort

          public int getPort()

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`